## python-ajsonrpc 1.2.0

=== Makefile ===
ENV=$(CURDIR)/.env
BIN=$(ENV)/bin

.PHONY: help
# target: help - Display callable targets
help:
	@egrep "^# target:" [Mm]akefile

.PHONY: clean
# target: clean - Display callable targets
clean:
	@rm -rf build dist docs/_build
	@find . -name \*.py[co] -delete
	@find . -name *\__pycache__ -delete

env:
	@python3.8 -m venv $(ENV)

.PHONY: test
# target: test - test the code
test: env
	$(BIN)/python -m unittest

.PHONY: build
# target: build - Build package
build: clean
	$(BIN)/python setup.py sdist bdist_wheel

.PHONY: test-release
# target: test-release - Release package to test pypi
test-release: build
	$(BIN)/twine upload --repository-url https://test.pypi.org/legacy/ dist/*

.PHONY: release
# target: release - Release package to pypi
release: build
	$(BIN)/twine upload dist/*

=== debian/changelog ===
python-ajsonrpc (1.2.0-1) unstable; urgency=medium

  * Initial release. (Closes: #1050212)

 -- Michael Lloyd <michael@micl.dev>  Sun, 15 Feb 2026 00:18:33 +1100

=== debian/control ===
Source: python-ajsonrpc
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Michael Lloyd <michael@micl.dev>
Section: python
Build-Depends: debhelper-compat (= 13),
               dh-sequence-python3,
               dh-sequence-sphinxdoc,
               python3-all,
               python3-pytest <!nocheck>,
               python3-setuptools,
               python3-sphinx,
               python3-sphinx-rtd-theme
Standards-Version: 4.7.3
Vcs-Browser: https://salsa.debian.org/python-team/packages/python-ajsonrpc
Vcs-Git: https://salsa.debian.org/python-team/packages/python-ajsonrpc.git
Homepage: https://github.com/pavlov99/ajsonrpc

Package: python-ajsonrpc-doc
Architecture: all
Section: doc
Multi-Arch: foreign
Depends: ${misc:Depends},
         ${sphinxdoc:Depends}
Description: Lightweight JSON-RPC 2.0 protocol and asyncio server (Documentation)
 Ajsonrpc is a lightweight JSON-RPC 2.0 protocol implementation and
 asynchronous server powered by asyncio.
 .
 It provides a full JSON-RPC 2.0 implementation, an async request manager,
 and has no external dependencies. Backend support is included for Tornado,
 Sanic and Quart.
 .
 This package provides the documentation.

Package: python3-ajsonrpc
Architecture: all
Depends: ${misc:Depends},
         ${python3:Depends}
Description: Lightweight JSON-RPC 2.0 protocol and asyncio server
 Ajsonrpc is a lightweight JSON-RPC 2.0 protocol implementation and
 asynchronous server powered by asyncio. It is a successor of json-rpc
 and written by the same team.
 .
 It provides a full JSON-RPC 2.0 implementation, an async request manager,
 and has no external dependencies. Backend support is included for Tornado,
 Sanic and Quart.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export PYBUILD_NAME=ajsonrpc

SPHINXOPTS := -E -N

%:
	dh $@ --buildsystem=pybuild

override_dh_clean:
	dh_clean
	rm -rf .mypy_cache .pybuild .pytest_cache debian/.doctrees

override_dh_sphinxdoc:
	# Building the documentation
	cd .pybuild && \
	    PYTHONPATH=$$PWD/`dirname $$(find . -type d -name "$(PYBUILD_NAME)" | sort | head -n1)` && \
	    PATH=$(shell realpath $$(find . -type d -name scripts | sort | head -n1)):$(PATH) && \
	    export PYTHONPATH && \
	    export PATH && \
	    python3 -m sphinx -b man $(SPHINXOPTS) ../docs $(CURDIR)/debian
ifeq (,$(findstring nodoc, $(DEB_BUILD_OPTIONS)))
	# Building the manpage
	cd .pybuild && \
	    PYTHONPATH=$$PWD/`dirname $$(find . -type d -name "$(PYBUILD_NAME)" | sort | head -n1)` && \
	    PATH=$(shell realpath $$(find . -type d -name scripts | sort | head -n1)):$(PATH) && \
	    export PYTHONPATH && \
	    export PATH && \
	    python3 -m sphinx -b html $(SPHINXOPTS) ../docs $(CURDIR)/debian/python-ajsonrpc-doc/usr/share/doc/python-ajsonrpc-doc/html
endif
	dh_sphinxdoc

=== debian/watch ===
Version: 5

Template: Github
Project: ajsonrpc
Owner: pavlov99
Dversion-Mangle: auto
